# ArenaTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ArenaTag`Abstract`

#### Hierarchy (View Summary)

- ArenaTag
  - MistTag
  - WeakenMoveScreenTag
  - ConditionalProtectTag
  - NoCritTag
  - WeakenMoveTypeTag
  - IonDelugeTag
  - ArenaTrapTag
  - DelayedAttackTag
  - TrickRoomTag
  - GravityTag
  - FairyLockTag
  - SuppressAbilitiesTag

- Defined in src/data/arena-tag.ts:40

##### Index

### Constructors

constructor

### Properties

side
sourceId?
sourceMove?
tagType
turnCount

### Methods

apply
getAffectedPokemon
getMoveName
getSourcePokemon
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new ArenaTag(
  tagType: ArenaTagType ,
  turnCount: number,
  sourceMove?: Moves ,
  sourceId?: number,
  side?: ArenaTagSide ,
  ): ArenaTag

  #### Parameters

  - tagType: ArenaTagType
  - turnCount: number
  - `Optional` sourceMove: Moves
  - `Optional` sourceId: number
  - side: ArenaTagSide = ArenaTagSide.BOTH

  #### Returns ArenaTag

  - Defined in src/data/arena-tag.ts:41

## Properties

### side

side: ArenaTagSide = ArenaTagSide.BOTH

- Defined in src/data/arena-tag.ts:46

### `Optional` sourceId

sourceId?: number

- Defined in src/data/arena-tag.ts:45

### `Optional` sourceMove

sourceMove?: Moves

- Defined in src/data/arena-tag.ts:44

### tagType

tagType: ArenaTagType

- Defined in src/data/arena-tag.ts:42

### turnCount

turnCount: number

- Defined in src/data/arena-tag.ts:43

## Methods

### apply

- apply(_arena: Arena , _simulated: boolean, ..._args: unknown[]): boolean

  #### Parameters

  - _arena: Arena
  - _simulated: boolean
  - ..._args: unknown[]

  #### Returns boolean

  - Defined in src/data/arena-tag.ts:49

### getAffectedPokemon

- getAffectedPokemon(): default []

  Helper function that retrieves the Pokemon affected

  #### Returns default []

  list of PlayerPokemon or EnemyPokemon on the field

  - Defined in src/data/arena-tag.ts:100

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  - Defined in src/data/arena-tag.ts:72

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  - Defined in src/data/arena-tag.ts:92

### lapse

- lapse(_arena: Arena ): boolean

  #### Parameters

  - _arena: Arena

  #### Returns boolean

  - Defined in src/data/arena-tag.ts:68

### loadTag

- loadTag(source: any): void

  When given a arena tag or json representing one, load the data for it. This is meant to be inherited from by any arena tag with custom attributes

  #### Parameters

  - source: any

    An arena tag

  #### Returns void

  - Defined in src/data/arena-tag.ts:81

### onAdd

- onAdd(_arena: Arena , _quiet?: boolean): void

  #### Parameters

  - _arena: Arena
  - _quiet: boolean = false

  #### Returns void

  - Defined in src/data/arena-tag.ts:53

### onOverlap

- onOverlap(_arena: Arena , _source: null | default ): void

  #### Parameters

  - _arena: Arena
  - _source: null | default

  #### Returns void

  - Defined in src/data/arena-tag.ts:66

### onRemove

- onRemove(_arena: Arena , quiet?: boolean): void

  #### Parameters

  - _arena: Arena
  - quiet: boolean = false

  #### Returns void

  - Defined in src/data/arena-tag.ts:55